Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
arbitrum
/
batches
List batches.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/arbitrum/batches \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "blocks_count": 1,
      "commitment_transaction": {
        "block_number": 1,
        "hash": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "number": 1,
      "transactions_count": 1
    }
  ],
  "next_page_params": {
    "number": 123
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

batch_numbers
integer[]

Optional list of specific batch numbers to retrieve.

Required range: x >= 0
items_count
integer

Number of items per page

Required range: x >= 1
number
integer

Number for paging

Response

Paginated list of Arbitrum batches.

items
BatchForList · object[]
required
next_page_params
object
required
Example:
{ "number": 123 }